# Retrieve a prepaid balance fund Retrieve the details of a specific Prepaid Balance Fund object. Endpoint: GET /object-query/prepaid-balance-funds/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `key` (string, required) Object ID or Number. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "account", "prepaidbalance", "source", "vpsummary" - `filter[]` (array) A case-insensitive filter on the list. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the prepaid balance fund. - `createdById` (string) The unique identifier of the user who created the prepaid balance fund. - `createdDate` (string) The date and time when the prepaid balance fund was created. - `updatedById` (string) The unique identifier of the user who last updated the prepaid balance fund. - `updatedDate` (string) The date and time when the prepaid balance fund was last updated. - `accountId` (string) The ID of the customer account to which the prepaid balance fund belongs. - `balance` (number) The remaining balance (remaining units) on the fund. - `chargeSegmentNumber` (integer) The number of the charge segment. One prepaid balance fund can only belong to one charge segment. - `endDate` (string) End date of the fund effective period. - `fundedBalance` (number) The total units of the fund. - `fundSourceType` (string) The type of the Prepaid Balance Fund. Enum: "CHARGE", "ORDER_LINE_ITEM", "CREDIT_MEMO_ITEM", "DEBIT_MEMO_ITEM" - `fundingPrice` (number) The price amount of a fund. A rounded value that follows the associated invoice owner's currency rounding rule. Calculation: (Number of billing periods in one fund validity period) * (price in one billing period) - `totalBilled` (number) The total billed amount of a fund. - `totalBalance` (number) The total balance of a fund. - `originalTotalBalance` (number) The original total balance of a fund. - `originalFundingPrice` (number) The original price amount of a fund. - `originalFundEndDate` (string) The original end date of the fund effective period. - `rolloverValidityPeriodStartDate` (string) Start date of the rollover validity period. - `rolloverValidityPeriodEndDate` (string) End date of the rollover validity period. - `prepaidBalanceId` (string) The ID of the prepaid balance associated to which this prepaid balance fund belongs. - `priority` (integer) The priority of the Fund. Possible values include: 10(high), 50(medium),100(low) Enum: 10, 50, 100 - `sourceId` (string) The source Id of the fund. It is the original charge ID. - `startDate` (string) Start date of the fund effective period. - `vpSummaryId` (string) - `rolloverCount` (integer) - `originFundId` (string) - `rolloverApplyOption` (string) - `done` (integer) - `account` (object) - `account.id` (string) The unique identifier of the account. - `account.createdById` (string) The unique identifier of the user who created the account. - `account.createdDate` (string) The date and time when the account was created. - `account.updatedById` (string) The unique identifier of the user who last updated the account. - `account.updatedDate` (string) The date and time when the account was last updated. - `account.accountNumber` (string) The account number that identifies the account. - `account.additionalEmailAddresses` (string) An additional email address to receive email notifications. - `account.allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `account.autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `account.balance` (number) The customer's total invoice balance minus credit balance. - `account.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `account.bcdSettingOption` (string) The billing cycle day setting option for the account. Enum: "ManualSet", "AutoSet" - `account.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `account.billToId` (string) The unique identifier of the bill-to contact associated with the account. - `account.communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `account.creditBalance` (number) The current credit balance on the account. - `account.crmId` (string) External identifier of the account in a CRM system. - `account.currency` (string) A currency defined in the web-based UI administrative settings. - `account.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `account.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `account.eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `account.invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `account.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `account.invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `account.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `account.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `account.name` (string) The name of the account. - `account.notes` (string) A string of up to 65,535 characters. - `account.organizationId` (string) The unique identifier of the organization to which the account belongs. - `account.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `account.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `account.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `account.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `account.salesRepName` (string) Name of the account's sales representative, if applicable. - `account.sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `account.shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `account.soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `account.status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `account.taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `account.taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `account.taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `account.taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `account.taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `account.totalInvoiceBalance` (number) Total balance of all posted invoices. - `account.unappliedBalance` (number) Total unapplied balance in this currency. - `account.vATId` (string) EU Value Added Tax ID. - `account.mrr` (number) Monthly recurring revenue for the account. - `account.totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `account.unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `account.creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `account.debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `account.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `account.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `account.billTo` (object) The bill-to contact on this account. - `account.shipTo` (object) The ship-to contact on the account. - `account.soldTo` (object) The sold-to contact on the account. - `account.defaultPaymentMethod` (object) The default payment method associated with the account. - `account.subscriptions` (array) The subscriptions associated with the account. - `account.payments` (array) The payments associated with the account. - `account.refunds` (array) The refunds associated with the account. - `account.creditMemos` (array) The credit memos associated with the account. - `account.debitMemos` (array) The debit memos associated with the account. - `account.invoices` (array) The invoices associated with the account. - `account.usages` (array) The usage records associated with the account. - `account.paymentMethods` (array) The payment methods associated with the account. - `prepaidBalance` (object) - `prepaidBalance.id` (string) The unique identifier of the prepaid balance. - `prepaidBalance.createdById` (string) The unique identifier of the user who created the payment application. - `prepaidBalance.createdDate` (string) The date and time when the payment application was created. - `prepaidBalance.updatedById` (string) The unique identifier of the user who last updated the payment application. - `prepaidBalance.updatedDate` (string) The date and time when the payment application was last updated. - `prepaidBalance.name` (string) The name of the prepaid balance. - `prepaidBalance.totalFund` (number) The total amount of all prepaid balance funds. - `prepaidBalance.balance` (number) The current prepaid balance. - `prepaidBalance.endDate` (string) End date of the validity period. - `prepaidBalance.startDate` (string) Start date of the validity period. - `prepaidBalance.accountId` (string) The ID of the customer account to which the prepaid balance belongs. - `prepaidBalance.origSubscriptionId` (string) If it belongs to a subscription, the original subscription ID. - `prepaidBalance.uOM` (string) The units of measure for prepayment charge. Units of measure are configured in the web-based UI. Your values depend on your configuration in Billing Settings. Values: a valid unit of measure - `prepaidBalance.prepaidBalanceState` (string) The state of the prepaid balance. Enum: "ACTIVE", "EXPIRED" - `prepaidBalance.prepaidType` (integer,null) The type of the prepaid balance. - `prepaidBalance.account` (object) The account associated with the prepaid balance. - `prepaidBalance.origSubscription` (object) The subscription associated with the prepaid balance. - `source` (object) - `source.id` (string) The unique identifier of the rate plan charge. - `source.createdById` (string) The unique identifier of the user who created the rate plan charge. - `source.createdDate` (string) The date and time when the rate plan charge was created. - `source.updatedById` (string) The unique identifier of the user who last updated the rate plan charge. - `source.updatedDate` (string) The date and time when the rate plan charge was last updated. - `source.ratePlanId` (string) The unique identifier of the rate plan to which this rate plan charge belongs. - `source.productRatePlanChargeId` (string) The unique identifier of the product rate plan charge associated with this product rate plan charge. - `source.accountingCode` (string) The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes. Values: inherited from ProductRatePlanCharge.AccountingCode Note: This value changes if ProductRatePlanCharge.AccountingCode is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.AccountingCode is updated. - `source.applyDiscountTo` (string) Specifies the type of charges a specific discount applies to. Values: inherited from ProductRatePlanCharge.ApplyDiscountTo - `source.billCycleDay` (integer) Indicates the charge's billing cycle day (BCD), which is when bill runs generate invoices for charges associated with the product rate plan charge or the account. Values: inherited from ProductRatePlanCharge.BillCycleDay - `source.billCycleType` (string) Specifies how to determine the billing day for the charge.\n\ Values: inherited from ProductRatePlanCharge.BillCycleType Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `source.billingPeriod` (string) Allows billing period to be overridden on rate plan charge. Values: inherited from ProductRatePlanCharge.BillingPeriod Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `source.billingPeriodAlignment` (string) Aligns charges within the same subscription if multiple charges begin on different dates. Values: inherited from ProductRatePlanCharge.BillingPeriodAlignment - `source.billingTiming` (string) The billing timing for the charge. You can choose to bill in advance or in arrears for recurring charge types. This field is not used in one-time or usage based charge types. Note: You can override the value inherited from the Product Rate Plan Charge when a subscription has a recurring charge type. Enum: "In Advance", "In Arrears" - `source.chargedThroughDate` (string) The date through which a customer has been billed for the charge. - `source.chargeModel` (string) Determines how to evaluate charges. Charge models must be individually activated in the web-based UI. Values: inherited from ProductRatePlanCharge.ChargeModel - `source.chargeNumber` (string) A unique number that identifies the charge. This number is returned as a string. Values: one of the following: - automatically generated if left null - a unique number of 50 characters or fewer - `source.chargeType` (string) Specifies the type of charge. Values: inherited from ProductRatePlanCharge.ChargeType - `source.description` (string) A description of the rate plan charge. - `source.discountLevel` (string) Application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge. Enum: "rateplan", "subscription", "account" - `source.dMRC` (number) A delta monthly recurring charge is the change in monthly recurring revenue caused by an amendment or a new subscription. Values: automatically generated - `source.drawdownRate` (number) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The [conversion rate](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge#UOM_Conversion) between Usage UOM and Drawdown UOM for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). Must be a positive number (>0). - `source.dTCV` (number) After an Amendment, the change in the total contract value (TCV) amount for this charge, compared with its previous value. Values: automatically generated - `source.effectiveEndDate` (string) Start date when the rate plan charge becomes active, as yyyy-mm-dd. - `source.effectiveStartDate` (string) Final date the rate plan is active, as yyyy-mm-dd. - `source.endDateCondition` (string) Condition for the charge to become inactive. - If the value of this field is FixedPeriod, the charge is active for a predefined duration based on the value of the upToPeriodsType and upToPeriods fields. - If the value of this field is SpecificEndDate, use the specificEndDate field to specify the date when the charge becomes inactive. Enum: "SubscriptionEnd", "FixedPeriod", "SpecificEndDate", "OneTime" - `source.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude rate plan charge related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. If both the following features are enabled in your tenant, you must ensure the excludeItemBillingFromRevenueAccounting field is set consistently for a prepayment charge and the corresponding drawdown charge. In addition, if the excludeItemBookingFromRevenueAccounting field in an Create Subscription or Add Product order action is set to false, you must also set the excludeItemBillingFromRevenueAccounting field in this order action to false. * Prepaid with Drawdown * Unbilled Usage Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `source.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude rate plan charges from revenue accounting. If both the following features are enabled in your tenant, you must ensure the excludeItemBookingFromRevenueAccounting field is set consistently for a prepayment charge and the corresponding drawdown charge. * Prepaid with Drawdown * Unbilled Usage Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `source.invoiceScheduleId` (string) The unique identifier of the invoice schedule associated with the subscription. - `source.isLastSegment` (boolean) Indicates if the segment of the rate plan charge is the most recent segment. Values: automatically generated. - `source.isPrepaid` (boolean) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Indicates whether this charge is a prepayment (topup) charge or a drawdown charge. - `source.isRollover` (boolean) Note: This field is only available if you have the Prepaid with Drawdown feature enabled. It determines whether the rollover fields are needed. - `source.rolloverPeriods` (integer) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the number of rollover periods, it is restricted to 3. - `source.rolloverPeriodLength` (integer,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Use this field when you want to set the rollover fund's period length shorter than the prepayment charge's validity period. In this case, you must set the rolloverPeriods field to 1. For example, you can define the rollover fund's period length as 5 months, shorter than the prepayment charge's validity period: a year. - `source.rolloverApply` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the priority of rollover, which is either first or last. Enum: "ApplyFirst", "ApplyLast" - `source.isProcessed` (boolean) Indicates whether the rate plan charge has been processed. - `source.listPriceBase` (string) The list price base for the product rate plan charge. Enum: "Per Billing Period", "Per Month", "Per Week", "Per Year", "Per Specific Months" - `source.specificListPriceBase` (integer,null) The number of months for the list price base of the charge. This field is required if you set the value of the ListPriceBase field to Per Specific Months. Notes: - This field is available only if you have the Annual List Price feature enabled. - The value of this field is null if you do not set the value of the ListPriceBase field to Per Specific Months. - `source.priceUpsellQuantityStacked` (boolean) - `source.commitmentType` (string) Note: This field is only available if you have the Unbilled Usage feature enabled. To use this field, you must set the X-Zuora-WSDL-Version request header to 133 or higher. Otherwise, an error occurs. This field defines the type of commitment. A prepaid charge can be UNIT or CURRENCY. A minimum commitment(in-arrears) charge can only be CURRENCY type. For topup(recurring or one-time) charges, this field indicates what type of funds are created. * If UNIT, it will create a fund with given prepaidUom. * If CURRENCY, it will create a fund with the currency amount calculated in list price. For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges. Enum: "UNIT", "CURRENCY" - `source.isCommitted` (boolean) Indicates whether the rate plan charge is commited. - `source.mRR` (number) Monthly recurring revenue (MRR) is the amount of recurring charges in a given month. The MRR calculation doesn't include one-time charges nor usage charges. Values: automatically generated - `source.name` (string) The name of the rate plan charge. Values: automatically generated - `source.numberOfPeriods` (integer) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. Values: inherited from ProductRatePlanCharge.NumberOfPeriod. - `source.originalId` (string) The original ID of the rate plan charge. Values: automatically generated. - `source.overageCalculationOption` (string) Determines when to calculate overage charges. If the value of the SmoothingMode field is null (not specified and not inherited from ProductRatePlanCharge.SmoothingMode), the value of this field is ignored. Values: inherited from ProductRatePlanCharge.OverageCalculationOption. - `source.overageUnusedUnitsCreditOption` (string) Determines whether to credit the customer with unused units of usage. Values: inherited from ProductRatePlanCharge.OverageUnusedUnitsCreditOption. - `source.prepaidOperationType` (string,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The type of this charge. It is either a prepayment (topup) charge or a drawdown charge. Enum: "topup", "drawdown", null - `source.prepaidQuantity` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The number of units included in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Must be a positive number (>0). - `source.prepaidTotalQuantity` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The total amount of units that end customers can use during a validity period when they subscribe to a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `source.priceChangeOption` (string) Applies an automatic price change when a termed subscription is renewed. Values: one of the following: - NoChange (default) - SpecificPercentageValue - UseLatestProductCatalogPricing - `source.priceIncreasePercentage` (number) Specifies the percentage to increase or decrease the price of renewed subscriptions. Values: a decimal value between -100 and 100. - `source.processedThroughDate` (string) The date until when charges have been processed. When billing in arrears, such as usage, this field value is the the same as the ChargedThroughDate value. This date is the earliest date when a charge can be amended. Values: automatically generated. - `source.prorationOption` (string) Determines how to prorate charges when a subscription is created or amended. - `source.quantity` (number) The default quantity of units, such as the number of authors in a hosted wiki service. Valid for all charge models except for Flat Fee pricing. Values: a valid quantity value. - `source.numberOfDeliveries` (number) Number of deliveries in the billing period for the charge segment. The numberOfDeliveries is used for the Delivery Pricing charge model only. Note: The Delivery Pricing charge model is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see [Enable billing features by yourself](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Billing_Settings/Manage_Features) in the Knowledge Center. You can check Delivery Pricing in Billing Settings > Enable Charge Types / Models. - `source.ratingGroup` (string) A rating group based on which usage records are rated. Only applicable to Usage charges. Possible values: - ByBillingPeriod: The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. For more information, see [Usage rating by group](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Usage/Usage_Rating_by_Group). Enum: "ByBillingPeriod", "ByUsageStartDate", "ByUsageRecord", "ByUsageUpload", "ByGroupId" - `source.revenueRecognitionRuleName` (string) Specifies the Revenue Recognition Rule that you want the Rate Plan Charge to use. This field can be updated when Status is Draft. By default, the Revenue Recognition Rule is inherited from the Product Rate Plan Charge. For Amend calls, you can use this field only for NewProduct amendments. For Update calls, you can use this field only to update subscriptions in draft status. Note that if you use this field to specify a Revenue Recognition Rule for the Rate Plan Charge, the rule will remain as specified even if you later change the rule used by the corresponding Product Rate Plan Charge. Values: inherited from ProductRatePlanCharge.RevenueRecognitionRuleName or the name of an active Revenue Recognition Rule Note: Unless overridden, this value changes if ProductRatePlanCharge.RevenueRecognitionRuleName is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevenueRecognitionRuleName is updated. - `source.revenueRecognitionTiming` (string) Specifies the type of revenue recognition timing. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Upon Billing Document Posting Date", "Upon Order Activation Date" - `source.revenueAmortizationMethod` (string) Specifies the type of revenue amortization method. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Immediate", "Ratable Using Start And End Dates" - `source.revRecCode` (string) Associates this product rate plan charge with a specific revenue recognition code. Values: inherited from ProductRatePlanCharge.RevRecCode or a valid revenue recognition code Note: Unless overridden, this value changes if ProductRatePlanCharge.RevRecCode is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevRecCode is updated. - `source.revRecTriggerCondition` (string) Specifies when revenue recognition begins. Values: inherited from ProductRatePlanCharge.RevRecTriggerCondition or one of the following: - ContractEffectiveDate - ServiceActivationDate - CustomerAcceptanceDate Note: Unless overridden, this value changes if ProductRatePlanCharge.RevRecTriggerCondition is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevRecTriggerCondition is updated. - `source.segment` (integer) The identifying number of the subscription rate plan segment. Segments are numbered sequentially, starting with 1. Values: automatically generated - `source.specificBillingPeriod` (integer) Customizes the number of months or weeks for the charges billing period. This field is required if you set the value of the BillingPeriod field to Specific Months or Specific Weeks. Values: inherited from ProductRatePlanCharge.BillingPeriod Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `source.specificEndDate` (string) The specific date on which the charge ends, in yyyy-mm-dd format. Note: - This field is only applicable when the EndDateCondition field is set to SpecificEndDate. - If the subscription ends before the specific end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the specific end date. - `source.tCV` (number) The total contract value (TCV) is the value of a single rate plan charge in a subscription over the lifetime of the subscription. This value does not represent all charges on the subscription. The TCV includes recurring charges and one-time charges, but it doesn't include usage charge. Values: automatically generated - `source.triggerDate` (string) The date when the charge becomes effective and billing begins, in yyyy-mm-dd format. This field is required if the TriggerEvent field value is SpecificDate. - `source.triggerEvent` (string) Specifies when to start billing the customer for the charge. Note: This field can be passed through the Subscribe and Amend calls and will override the default value set on the Product Rate Plan Charge. Values: inherited from ProductRatePlanCharge.TriggerEvent and can be one of the following values: - ContractEffective is the date when the subscription's contract goes into effect and the charge is ready to be billed. - ServiceActivation is when the services or products for a subscription have been activated and the customers have access. - CustomerAcceptance is when the customer accepts the services or products for a subscription. - SpecificDate is valid only on the RatePlanCharge. - `source.uOM` (string) Specifies the units to measure usage. Values: inherited from ProductRatePlanCharge.UOM - `source.upToPeriods` (integer) Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. Values: inherited from ProductRatePlanCharge.UpToPeriods Note: - You must use this field together with the UpToPeriodsType field to specify the time period. This field is only applicable only when the EndDateCondition field is set to FixedPeriod. - You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - Use this field to override the value in ProductRatePlanCharge.UpToPeriod. - If you override the value in this field, enter a whole number between 0 and 65535, exclusive. - If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end. - `source.upToPeriodsType` (string) The period type used to define when the charge ends. This field can be updated when Status is Draft. Note: - You must use this field together with the UpToPeriods field to specify the time period. - This field is only applicable only when the EndDateCondition field is set to FixedPeriod. Enum: "Billing Periods", "Days", "Weeks", "Months", "Years" - `source.version` (integer) The version of the rate plan charge. Each time a charge is amended, Zuora creates a new version of the rate plan charge. Values: automatically generated. - `source.weeklyBillCycleDay` (string) Specifies which day of the week as the bill cycle day (BCD) for the charge. Enum: "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday" - `source.subscriptionId` (string) The unique identifier of the subscription to which the rate plan charge belongs. - `source.subscriptionOwnerId` (string) ID of the account that owns the subscription. - `source.invoiceOwnerId` (string) ID of the account that will pay the billing documents for the subscription. - `source.originalOrderDate` (string) The date when the rate plan charge is created through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sales order line in Zuora Revenue. - `source.amendedByOrderOn` (string) The date when the rate plan charge is amended through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `source.validityPeriodType` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The period in which the prepayment units are valid to use as defined in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Enum: "SUBSCRIPTION_TERM", "ANNUAL", "SEMI_ANNUAL", "QUARTER", "MONTH" - `source.creditOption` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The way to calculate credit. See [Credit Option](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge#Credit_Option) for more information. Enum: "TimeBased", "ConsumptionBased", "FullCreditBack" - `source.applyToBillingPeriodPartially` (boolean) Allow the discount duration to be aligned with the billing period partially. Note: You must enable the [Enhanced Discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - `source.productChargeDefinitionId` (string) The unique ID of the product charge definition. - `source.accountReceivableAccountingCodeId` (string) ID of the accountReceivableAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders, Zuora Finance, and Invoice Settlement features are enabled. - `source.deferredRevenueAccountingCodeId` (string) ID of the deferredRevenueAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders and Zuora Finance features are enabled. - `source.recognizedRevenueAccountingCodeId` (string) ID of the recognizedRevenueAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders and Zuora Finance features are enabled. - `source.prepaidUOM` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `source.drawdownUom` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). - `source.ratePlan` (object) The rate plan to which this charge belongs. - `source.productRatePlanCharge` (object) The product rate plan charge associated with this rate plan charge. - `source.salesPrice` (number) The sales price associated with the rate plan charge expressed as a decimal. Notes: - This field is only available to subscriptions that are created through orders and exist after 2023-01-10. - This field applies to the following charge models, and the values vary with the charge models: - Flat fee: the value equals the value of the price field. - Per unit: the value equals price multiplied by quantity. - Fixed amount discount: the value equals the value of the discountAmount field. - Volume: The calculation of the tier price is dependent on whether the price format is the flat fee or per unit. - Tiered: The calculation of the tier price is dependent on whether the price format is the flat fee or per unit. - `source.taxable` (boolean) Indicates whether the rate plan charge is taxable. - `source.reverted` (boolean) Indicates whether the rate plan charge has been reverted. - `source.reflectDiscountInNetAmount` (boolean) Indicates whether the discount is reflected in the net amount. - `vpSummary` (object) - `vpSummary.id` (string) The unique identifier of the validity period summary. - `vpSummary.createdById` (string) The unique identifier of the user who created the validity period summary. - `vpSummary.createdDate` (string) The date and time when the validity period summary was created. - `vpSummary.updatedById` (string) The unique identifier of the user who last updated the validity period summary. - `vpSummary.updatedDate` (string) The date and time when the validity period summary was last updated. - `vpSummary.prepaidBalanceId` (string) The unique identifier of the prepaid balance. - `vpSummary.startDate` (string) The start date of the validity period. - `vpSummary.endDate` (string) The end date of the validity period. - `vpSummary.totalBalance` (number) The total prepaid balance for the current validity period. - `vpSummary.remainingBalance` (number) The remaining prepaid balance for the current validity period. - `vpSummary.totalBilledAmount` (number) The total amount that has been billed. - `vpSummary.billedBalanceAmount` (number) The total amount of the billing documents balances. - `vpSummary.subscriptionNumber` (string) The number of the subscription the validity period belongs to. - `vpSummary.uom` (string) The UOM of the validity period. - `vpSummary.accountNumber` (string) The number of the account to which the prepaid balance belongs. - `vpSummary.accountId` (string) The ID of the account to which the prepaid balance belongs. - `vpSummary.overageRatedQuantity` (number) The overage rated quantity for the validity period. Note: The overageRatedQuantity and overageRatedAmount fields of the Validity Period Summary object are approaching end of support on February 01, 2025. For more information, see Product and feature end of support plan. - `vpSummary.overageRatedAmount` (number) The overage rated amount for the validity period. Note: The overageRatedQuantity and overageRatedAmount fields of the Validity Period Summary object are approaching end of support on February 01, 2025. For more information, see Product and feature end of support plan. - `vpSummary.account` (object) The account associated with the validty period summary. - `vpSummary.prepaidBalance` (object) The prepaid balance associated with the validity period summary. - `vpSummary.billingTiming` (string) The billing timing of the validity period. Enum: "In Advance", "In Arrears" ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.